Dos (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.dos.Dos interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.dos
Interface Dos

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, OperatingSystem, java.io.Serializable, Version

    public interface Dos

extends OperatingSystem

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`getBootFileSystem, getBootTime, getCharset, getConfigContents, getCurrentTime, getDNSResolveEntries, getFQDN, getInstalledSoftware, getKernelArchitecture, getKernelModulesRawData, getKernelVersion, getLocale, getName, getOSConfidence, getOsId, getOSMode, getOSName, getOSVersion, getPackagesInstalledRawData, getParent, getPatchesInstalledRawData, getSoftwareComponents, getSystemGuid, getVirtualMemorySize, getZReportFiles, hasBootFileSystem, hasBootTime, hasCharset, hasConfigContents, hasCurrentTime, hasDNSResolveEntries, hasFQDN, hasInstalledSoftware, hasKernelArchitecture, hasKernelModulesRawData, hasKernelVersion, hasLocale, hasName, hasOSConfidence, hasOsId, hasOSMode, hasOSName, hasOSVersion, hasPackagesInstalledRawData, hasParent, hasPatchesInstalledRawData, hasSoftwareComponents, hasSystemGuid, hasVirtualMemorySize, hasZReportFiles, setBootFileSystem, setBootTime, setCharset, setConfigContents, setCurrentTime, setDNSResolveEntries, setFQDN, setInstalledSoftware, setKernelArchitecture, setKernelModulesRawData, setKernelVersion, setLocale, setName, setOSConfidence, setOsId, setOSMode, setOSName, setOSVersion, setPackagesInstalledRawData, setParent, setPatchesInstalledRawData, setSoftwareComponents, setSystemGuid, setVirtualMemorySize, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD